MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002254VCMIMechanics - Town structurespublic2015-09-02 11:512016-11-11 08:26
Reporteranoleyn 
Assigned ToAVS 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.98c 
Target VersionFixed in Version0.98d 
Summary0002254: Skeleton Transformer doesn't work properly on Hydras
DescriptionIn oH3 Skeleton Transformer used on Hydras (or Chaos Hydras) transforms them into Bone Dragons just like living dragons. In VCMI, on the other hand, they are transformed into Skeletons.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005836)
Warmonger (administrator)
2015-09-02 11:56

Strange, I thought this was implemented correctly.
(0005837)
AVS (administrator)
2015-09-03 15:16

if (s.hasBonusOfType(Bonus::DRAGON_NATURE))
        resCreature = 68;
    else
        resCreature = 56;
(0005838)
AVS (administrator)
2015-09-04 15:13

fixed in https://github.com/vcmi/vcmi/commit/e82dfb5a85b527e17a1e4f9cad8058ea567e551f [^]

- Issue History
Date Modified Username Field Change
2015-09-02 11:51 anoleyn New Issue
2015-09-02 11:56 Warmonger Assigned To => Warmonger
2015-09-02 11:56 Warmonger Status new => assigned
2015-09-02 11:56 Warmonger Note Added: 0005836
2015-09-03 15:16 AVS Note Added: 0005837
2015-09-04 14:44 AVS Assigned To Warmonger => AVS
2015-09-04 15:13 AVS Note Added: 0005838
2015-09-04 15:13 AVS Status assigned => resolved
2015-09-04 15:13 AVS Fixed in Version => 0.98d
2015-09-04 15:13 AVS Resolution open => fixed
2016-11-11 08:26 SXX Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean